> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bundles

> Returns a list of `Bundle` objects.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /bundles
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /bundles:
    get:
      tags:
        - bundles
      summary: Get bundles
      description: Returns a list of `Bundle` objects.
      operationId: getBundles
      parameters:
        - description: >-
            The maximum number of bundles to return from the beginning of the
            list. Default is 200, max is 1000.
          example: 200
          explode: true
          in: query
          name: page_size
          required: false
          schema:
            type: integer
          style: form
        - description: >-
            A cursor indicating where to start fetching items after a specific
            point.
          example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
          explode: true
          in: query
          name: cursor
          required: false
          schema:
            type: string
          style: form
        - description: A filter for the bundle name.
          example: Engineering
          explode: true
          in: query
          name: contains
          required: false
          schema:
            type: string
          style: form
      responses:
        '200':
          description: A list of bundles for your organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedBundleList'
      security:
        - BearerAuth: []
components:
  schemas:
    PaginatedBundleList:
      example:
        next: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
        previous: cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ
        totalCount: 2
        bundles:
          - id: a381e7a3-e5e0-4c48-b1d6-4ccb4c191bc1
            name: Bundle 1
            description: Description of bundle 1
            admin_owner_id: 4aed3e8a-727b-4d72-8010-3b8710c50bec
            total_num_items: 0
            total_num_resources: 0
            total_num_groups: 0
          - id: 8294e9c9-deb6-48e9-9c99-da2a1e04a87f
            name: Bundle 2
            description: Description of bundle 2
            admin_owner_id: 4aed3e8a-727b-4d72-8010-3b8710c50bec
            total_num_items: 0
            total_num_resources: 0
            total_num_groups: 0
      properties:
        previous:
          description: The cursor used to obtain the current result page.
          example: cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ
          nullable: true
          type: string
        next:
          description: >-
            The cursor with which to continue pagination if additional result
            pages exist.
          example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
          nullable: true
          type: string
        total_count:
          description: The total number of items in the result set.
          example: 2
          type: integer
        bundles:
          items:
            $ref: '#/components/schemas/Bundle'
          type: array
      type: object
      required:
        - bundles
    Bundle:
      properties:
        bundle_id:
          description: The ID of the bundle.
          example: a381e7a3-e5e0-4c48-b1d6-4ccb4c191bc1
          format: uuid
          type: string
          readOnly: true
        name:
          description: The name of the bundle.
          example: Bundle 1
          type: string
        description:
          description: The description of the bundle.
          example: Description of bundle 1
          type: string
        created_at:
          type: string
          format: date-time
          description: The creation timestamp of the bundle, in ISO 8601 format
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: The last updated timestamp of the bundle, in ISO 8601 format
          readOnly: true
        admin_owner_id:
          description: The ID of the owner of the bundle.
          example: 4aed3e8a-727b-4d72-8010-3b8710c50bec
          format: uuid
          type: string
        total_num_items:
          description: The total number of items in the bundle.
          example: 15
          type: integer
          readOnly: true
        total_num_resources:
          description: The total number of resources in the bundle.
          example: 10
          type: integer
          readOnly: true
        total_num_groups:
          description: The total number of groups in the bundle.
          example: 5
          type: integer
          readOnly: true
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````